// Person.h
#include "Address.h"
#include <iostream>
#include <string>
#include <fstream>
using namespace std;

class Person {
public:
    Person(string lname="Shmoe", string fname="Joe", string id = "123456789") : _lname(lname), _fname(fname), _id(id) { }
    string lname() const { return _lname; }
    string fname() const { return _fname; }
    string id() const { return _id; }
    Address address() const { return _address; }
    Date dob() const { return _dob; }
    Date dod() const { return _dod; }
    string sex() const { return _sex; }
    string phone() const { return _phone; }
    string email() const { return _email; }
    string url() const { return _url; }
    int age(Date date) const { return (date - _dob)/365.2425; }
    void set_lname(string lname) { _lname = lname; }
    void set_fname(string fname) { _fname = fname; }
    void set_id(string id) { _id = id; }
    void set_address(Address address) { _address = address; }
    void set_dob(Date dob) { _dob = dob; }
    void set_dod(Date dod) { _dod = dod; }
    void set_sex(string sex) { _sex = sex; }
    void set_phone(string phone) { _phone = phone; }
    void set_email(string email) { _email = email; }
    void set_url(string url) { _url = url; }

    void set_timeLine();

    // read from text file with diary entries into _tLine
    void read_timeLine();

private:
    string _lname;
    string _fname;
    string _id;
    Address _address;
    Date _dob;
    Date _dod;
    string _sex;
    string _phone;
    string _email;
    string _url;
    Date *_tLine;
};

void Person::read_timeLine() {
    //Date d0 = *_tLine;
    string fileName = _fname + _lname + "_Diary.txt";
    string word;
    cout << "\nfileName = " << fileName << endl;
    ifstream ifstr(fileName);
    while(getline(ifstr,word)) {
        if(word.substr(0,6)=="*Date*")
            cout << word;

        //if(word=="\n") cout << endl;
//        while(ifstr>>word!="*Date*")
//            ifstr>>d0;
//        cout << d0;
    }
}
